io.agora.rtc

## Interface IAudioDeviceManagerObserver

-     public interface IAudioDeviceManagerObserver

  Observer interface for audio device manager events.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `onAudioDeviceStateChanged(AgoraAudioDeviceManager agora_audio_device_manager, java.lang.String device_id, int device_type, int device_state)` Called when audio device state changes.
    `default void` | `onAudioDeviceVolumeChanged(AgoraAudioDeviceManager agora_audio_device_manager, int device_type, int volume, boolean muted)` Called when audio device volume changes.
    `default void` | `onDeviceStateChanged(AgoraAudioDeviceManager agora_audio_device_manager)` Called when device state changes.
    `default void` | `onRoutingChanged(AgoraAudioDeviceManager agora_audio_device_manager, int route)` Called when audio routing changes.
    `default void` | `onVolumeIndication(AgoraAudioDeviceManager agora_audio_device_manager, int volume)` Called when volume indication is received.

- - ### Method Detail

    - #### onVolumeIndication

          default void onVolumeIndication(AgoraAudioDeviceManager agora_audio_device_manager,
                                          int volume)

      Called when volume indication is received.
      Parameters:
        `agora_audio_device_manager` - The audio device manager instance
        `volume` - Volume level

    - #### onDeviceStateChanged

          default void onDeviceStateChanged(AgoraAudioDeviceManager agora_audio_device_manager)

      Called when device state changes.
      Parameters:
        `agora_audio_device_manager` - The audio device manager instance

    - #### onAudioDeviceStateChanged

          default void onAudioDeviceStateChanged(AgoraAudioDeviceManager agora_audio_device_manager,
                                                 java.lang.String device_id,
                                                 int device_type,
                                                 int device_state)

      Called when audio device state changes.
      Parameters:
        `agora_audio_device_manager` - The audio device manager instance
        `device_id` - Device ID
        `device_type` - Device type
        `device_state` - Device state

    - #### onRoutingChanged

          default void onRoutingChanged(AgoraAudioDeviceManager agora_audio_device_manager,
                                        int route)

      Called when audio routing changes.
      Parameters:
        `agora_audio_device_manager` - The audio device manager instance
        `route` - Audio route

    - #### onAudioDeviceVolumeChanged

          default void onAudioDeviceVolumeChanged(AgoraAudioDeviceManager agora_audio_device_manager,
                                                  int device_type,
                                                  int volume,
                                                  boolean muted)

      Called when audio device volume changes.
      Parameters:
        `agora_audio_device_manager` - The audio device manager instance
        `device_type` - Device type
        `volume` - Volume level
        `muted` - Whether the device is muted